package com.yonge.cooleshow.biz.dal.queryInfo;

import com.alibaba.fastjson.JSON;
import com.yonge.cooleshow.biz.dal.enums.course.CourseTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.course.RelationMusicAlbumEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-25
 */
public class CourseRelationQueryInfo {


    // 课程组id
    private Long courseGroupId;

    // 关联类型, MUSIC, ALBUM
    private RelationMusicAlbumEnum relationType;


    // 课程类型
    private CourseTypeEnum courseType;



    public static CourseRelationQueryInfo from(String recv) {

        return JSON.parseObject(recv, CourseRelationQueryInfo.class);
    }


    public RelationMusicAlbumEnum getRelationType() {
        return relationType;
    }

    public void setRelationType(RelationMusicAlbumEnum relationType) {
        this.relationType = relationType;
    }

    public CourseTypeEnum getCourseType() {
        return courseType;
    }

    public void setCourseType(CourseTypeEnum courseType) {
        this.courseType = courseType;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }
}
